Skip to main content
POST
/
api
/
grid
/
v1
/
accounts
cURL
curl --request POST \
  --url https://grid.squads.xyz/api/grid/v1/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-grid-environment: <x-grid-environment>' \
  --data '
{
  "email": "<string>",
  "type": "email",
  "memo": "<string>"
}
'
import requests

url = "https://grid.squads.xyz/api/grid/v1/accounts"

payload = {
"email": "<string>",
"type": "email",
"memo": "<string>"
}
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-grid-environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({email: '<string>', type: 'email', memo: '<string>'})
};

fetch('https://grid.squads.xyz/api/grid/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "created_at": "2023-11-07T05:31:56Z",
    "email": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "otp_sent": true,
    "status": "<string>",
    "type": "<string>",
    "memo": "<string>"
  },
  "metadata": {
    "request_id": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}
{
"data": {
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"otp_sent": true,
"status": "<string>",
"type": "<string>",
"memo": "<string>"
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}

Authorizations

Authorization
string
header
required

Your Grid API key from the Grid Dashboard

Headers

x-grid-environment
string
required

Solana network environment (sandbox, devnet, mainnet)

x-idempotency-key
string | null

Idempotency key to prevent duplicate account creation

Body

application/json
email
string
required
type
enum<string>
required
Available options:
email
memo
string | null

Response

Account created successfully

data
object
required
metadata
object
required